Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfDirectionType

    java.lang.Object
      java.lang.Enum<OdfDirectionType>
          org.odftoolkit.odfdom.dom.type.table.OdfDirectionType

All Implemented Interfaces:
  Serializable, Comparable<OdfDirectionType>

    public enum OdfDirectionType

extends Enum<OdfDirectionType>

DOM implementation of OpenDocument attribute table:direction.

Enum Constant Summary
`FROM_ANOTHER_TABLE`
`FROM_SAME_TABLE`
`TO_ANOTHER_TABLE`

Method Summary
`static OdfDirectionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDirectionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDirectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDirectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TO_ANOTHER_TABLE

    public static final OdfDirectionType TO_ANOTHER_TABLE

### FROM_SAME_TABLE

    public static final OdfDirectionType FROM_SAME_TABLE

### FROM_ANOTHER_TABLE

    public static final OdfDirectionType FROM_ANOTHER_TABLE

Method Detail

### values

    public static OdfDirectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDirectionType c : OdfDirectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDirectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDirectionType>`
  Returns:
    return the name of OdfDirectionType

### toString

    public static String toString(OdfDirectionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDirectionType, see table:direction
  Returns:
    return the name of OdfDirectionType

### enumValueOf

    public static OdfDirectionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDirectionType
  Returns:
    return the constant of OdfDirectionType, see table:direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.